@font-face {
    font-family: 'Montserrat';
    src: url('Montserrat/static/Montserrat-ExtraBold.ttf') format('woff2'),
         url('Montserrat/static/Montserrat-ExtraBold.ttf') format('woff');
    font-weight: 800;
    font-style: normal;
}
@font-face {
    font-family: 'Montserrat';
    src: url('Montserrat/static/Montserrat-Bold.ttf') format('woff2'),
         url('Montserrat/static/Montserrat-Bold.ttf') format('woff');
    font-weight: 600;
    font-style: normal;
}
@font-face {
    font-family: 'Montserrat';
    src: url('Montserrat/static/Montserrat-Medium.ttf') format('woff2'),
         url('Montserrat/static/Montserrat-Medium.ttf') format('woff');
    font-weight: 400;
    font-style: normal;
}

body {
    margin: 0;
    padding: 0;
    background: #0a081b;
    background-image: url("img/bg.png");
    background-position: top;
    background-repeat: no-repeat; /* Вимкнення повторення зображення */
    background-size: cover; /* Масштабування зображення, щоб покрити весь простір */
    font-family: 'Montserrat', sans-serif;
    width: 100%;
    height: 100vh; /* Висота 100% від висоти вікна */
}
header{
    width: 100%;
    height: max-content;
    display: flex;
    justify-content: center;
    padding: 1% 0;
}
header img{
    width: 200px;   
    height: 120px;
}
h1{
    font-size: 64px;
    margin-bottom: 32px ;
    white-space: nowrap;
    
}
p{
    font-size: 1em;
    margin: 0;
    font-weight: 400;
    white-space: nowrap;
}
h2{
    font-size: 48px;
    font-weight: 600;
    margin: 32px 0;
    white-space: nowrap;
}
footer{
    display: flex;
   position: absolute;
    width: 100%;
    height: auto;
    justify-content: space-around;
    bottom: 3%;
}
footer div{
    display: flex;
    width: max-content;
    height: max-content;
    align-items: center;
    

}
footer p{
    font-weight: 600;
    font-size: 24px;
    color: white;
    
}

footer p span{
    display: block;
}
.main-info{
    position: relative;
    margin: auto;
    display: contents;
}
.home_section{
    display: flex;
    justify-content: space-between;
    width: 100%;
    height: max-content;
    position: relative;
}
.mask_group{
    width: 40em;
       
}
.info{
    font-size: 32px;
    color: white;
    text-align: center;
    position:absolute;
    top: 16em;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
    
 
    
}
.clown{
    
    height: 100%;   
}
.div_sugar_rush{
   display:flex;
   
    justify-content: flex-end;
    
}
.info span{
    display: block;
    font-weight: bold; /* Товщина шрифту */
    background: linear-gradient(to right,rgb(255, 140, 0), rgb(255, 174, 0),rgb(255, 202, 0)); /* Градієнтний фон */
    -webkit-background-clip: text; /* Важливо для Chrome та Safari */
    background-clip: text; /* Включає градієнт на тексті */
    color: transparent; /* Робить текст прозорим, щоб показати градієнт */
    display: inline-block; /* Забезпечує коректне відображення градієнта на тексті */

}
.rounded-button {
  font-weight: 600;
  width: 458px;
  height: auto;
  margin-top: 10%;
  text-decoration: none; /* Прибираємо підкреслення */
  display: inline-block; /* Робимо елемент блоковим для кращого контролю розмірів */
  padding: 25px 0; /* Додаємо відступи всередині */
  font-size: 32px;
  cursor: pointer; /* Змінюємо курсор на вказівний палець */
  border-radius: 100px; /* Закругляємо кути */
  background: linear-gradient(to right,rgb(255, 140, 0), rgb(255, 174, 0),rgb(255, 202, 0)); /* Градієнтний фон */
  color: rgb(76, 29, 147); /* Білий колір тексту */
  
  
}

.sugar_rush{
    width: 55%;
    height: 80%;
}
.footer_info{
    display: flex;
    height: max-content;
    width: 100%;
    justify-content: center;
    position: absolute;
    bottom: 2em;
    flex-wrap: wrap;


}
.photo_footer{
    width: 86px;
    height: 30px;
    margin-right: 35px;
    margin-top: 5px;
}
.photo_footer img{
    width: 100%;
    height: 100%;
    
}

@media (max-width: 1800px){
    h1{
        font-size: 60px;
    }
    h2{
        font-size: 44px;
    }
    p{
        font-size: .9em;
    }

    body{
        height: 100%;}
    .mask_group {
        width: 28em;
        height: 43em;    
    }
    .footer_info {
        bottom: -1.5em;
    }
    .rounded-button{
        margin-top: 10%;
    }
    
    .info{
        top: 14em;
    }

}
@media (max-width: 1700px){
    .info{
        top: 14em;
    }
    .mask_group {
        width: 33em;
        
    }
}

@media (max-width: 1600px){
    .footer_info {
        bottom: -5em;
        width: 80%;
    }
    .info{
        top: 14em;
    }
    
    h1{
        font-size: 60px;
    }
    h2{
        font-size: 44px;
    }
    p{
        font-size: .9em;
    }
    
}
@media (max-width: 1500px){
    .footer_info {
        bottom: -5em;
        width: 80%;
    }
    .mask_group {
        width: 31em;
    }
    .sugar_rush {
        width: 50%;}
    .info{
        top: 14em;
    }
    
   
    
}
@media (max-width: 1400px){
  
    .mask_group {
        width: 28em;
    }
    .sugar_rush {
        width: 50%;}
   
}

@media (max-width: 1320px){
    body{
        height: 100%;
        background-image: url("img/bg1200.png");
        
    }
    .home_section{
        position: relative;
        height: 50em;
        bottom: 2em;
    }
    .clown{
        width: 50%;
        z-index: 20;
    }
    .info{
        position:relative;
        left: 0;
        top: 0;
        transform: none;
    }
    .div_sugar_rush{
        width: 80%;
        align-items: flex-start;
    }
    .rounded-button {
        margin-top: 5%;
    }
     
    
    

.sugar_rush {
    width: 93%;
    height: 70%;
    z-index: 10;
}
.footer_info {
    bottom: -1em;
}
.mask_group {
    position: absolute;
    width: 50%;
    height: 90%;
}
    
   
}
@media (max-width: 1024px) {
    body{
        height: 100%;
    }
    .footer_info{
        bottom: -1em;
        z-index: 100;
        
    }
    footer{
        bottom: 0px;
    }
    .mask_group {
        
        width: 60%;
        height: 90%;
    }
   
    
    
}
@media (max-width: 768px) {
    body{
        background-image: url("img/bg768.png");
        height: 100%;
        
    }
   
    
    
    
    .sugar_rush {
        width: 100%;
        height: 90%;
        margin: 0 0 0 0;
        z-index: 60;
    }
    .clown{
        
        margin: 0 0 0 0;
    }
    .info{
        z-index: 30;
    }
    .home_section {
        
        height: 40em;
        bottom: 1em;
    }
    
   
    
}
@media (max-width: 716px) {
    h1{
        font-size: 46px;
    }
    h2{
        font-size: 38px;
    }
    p{
        font-size: 20px;
    }
    
}
@media (max-width: 500px) {
    body{
        background-image: url("img/background\ iPhone.png");
    }
    header img {
        width: 150px;
        height: 80px;
    }
    h1{
        font-size: 38px;
    }
    h2{
        font-size: 35px;
    }
    p{
        font-size:14px ;
    }
    .rounded-button {
        width: 70%;
    }
    .footer_info {
        bottom: -6em;
        width: 100%;
    }
    .rounded-button{
        padding: 15px 0;
        font-size: 24px;
    }
    .home_section {
        height: 30em;
        bottom: 0em;
    }
    .mono{
        font-size: 20px;
    }
}
@media (max-width: 450px) {
    h1{
        font-size: 32px;
    }
    h2{
        font-size: 30px;
    }
    p{
        font-size:18px ;
    }
}
@media (max-width: 390px) {
   
    header img {
        width: 92px;
        height: 55px;
    }
    
    h1{
        font-size: 32px;
    }
    h2{
        font-size: 25px;
    }
    p{
        font-size:14px ;
    }
    .photo_footer {
        margin-top: 5px;
    }
    .photo_footer {
        width: 60px;
        height: 25px;
        margin-right: 0;
    }
    .home_section {
        height: 25em;
    }
  
    .footer_info {
        bottom: -1em;
    }
}
@media (max-width: 350px) {
    .mask_group {
        width: 90%;
        right: 5em;
    }
    .sugar_rush{
       
    }
}